package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.OmsDoBillHDO;
import com.prolog.cs.biz.outbound.model.dto.*;
import com.prolog.cs.biz.outbound.model.entity.OmsDoBillDDO;
import com.prolog.cs.biz.outbound.model.vo.CargoOwnerChangeVO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

public interface WavesSpecialService {

    List<OmsDoBillDDO> getBillDByBillId(ItemQueryDTO itemQueryDTO);

    void wavesCreateAndSend(WavesCreateDTO wavesCreateVO);

    Page<OmsDoBillHDO> getSpecialOmsBillList(BillQueryDTO billQueryDTO);

    void specialBillConfirm(List<String> billNoList, String operatorCode, String warehouseId);

    Page<PickTaskDDTO> getSpecialBillDList(String srcCode,String warehouseId,Integer pageNum,Integer pageSize);

    void cargoOwnerChange(List<CargoOwnerChangeVO> list);

    List<BillHDTO> getOmsBillDate(List<String> billIds);
}
